import request from '@/utils/request'

// 查询样本标签管理列表
export function listDataSetLabels(query) {
  return request({
    url: '/ai/dataSetLabels/list',
    method: 'get',
    params: query
  })
}

// 查询样本标签管理详细
export function getDataSetLabels(labelId) {
  return request({
    url: '/ai/dataSetLabels/getInfo/' + labelId,
    method: 'get'
  })
}

// 新增样本标签管理
export function addDataSetLabels(data) {
  return request({
    url: '/ai/dataSetLabels/add',
    method: 'post',
    data: data
  })
}

// 修改样本标签管理
export function updateDataSetLabels(data) {
  return request({
    url: '/ai/dataSetLabels/update',
    method: 'post',
    data: data
  })
}

// 删除样本标签管理
export function delDataSetLabels(labelId) {
  return request({
    url: '/ai/dataSetLabels/delete/' + labelId,
    method: 'post'
  })
}

export function getLabelsTree(id) {
  return request({
    url: '/ai/dataSetLabels/getLabelsTree/' + id,
    method: 'post'
  })
}
